geo_domain_indirect_rep< T, distributed >
Inheritance diagram for geo_domain_indirect_rep< T, distributed >:

## Public Types

typedef geo_domain_indirect_base_rep< T, distributed > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::const_reference | const_reference
Public Types inherited from geo_domain_indirect_base_rep< T, distributed >
typedef geo_abstract_rep< T, distributed > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::variant_type | variant_type
typedef base::const_reference | const_reference
typedef base::const_iterator | const_iterator
typedef base::const_iterator_by_variant | const_iterator_by_variant
typedef base::iterator_by_variant | iterator_by_variant
typedef base::coordinate_type | coordinate_type
typedef base::geo_element_map_type | geo_element_map_type
Public Types inherited from geo_abstract_rep< T, distributed >
typedef geo_abstract_base_rep< T > | base
typedef base::size_type | size_type
typedef base::node_type | node_type
typedef base::const_reference | const_reference
typedef std::map< size_type, node_type, std::less< size_type >, heap_allocator< std::pair< size_type, node_type > > > | node_map_type
Public Types inherited from geo_abstract_base_rep< T >
enum | geo_rep_variant_type { geo = 0 , geo_domain = 1 , geo_domain_indirect = 2 , max_variant = 3 }
typedef geo_element_hack::size_type | size_type
typedef point_basic< T > | node_type
typedef reference_element::variant_type | variant_type
typedef geo_element & | reference
typedef const geo_element & | const_reference
typedef space_constant::coordinate_type | coordinate_type
typedef std::map< size_type, geo_element_auto<> > | geo_element_map_type
typedef hack_array< geo_element_hack >::iterator | iterator_by_variant
typedef geo_iterator< geo_element, geo_element &, geo_element *, iterator_by_variant > | iterator
typedef hack_array< geo_element_hack >::const_iterator | const_iterator_by_variant
typedef geo_iterator< geo_element, const geo_element &, const geo_element *, const_iterator_by_variant > | const_iterator

## Public Member Functions

| geo_domain_indirect_rep ()
| geo_domain_indirect_rep (const geo_domain_indirect_rep< T, distributed > &x)
| geo_domain_indirect_rep (const domain_indirect_basic< distributed > &indirect, const geo_basic< T, distributed > &omega)
geo_abstract_rep< T, distributed > * | clone () const
distributor | geo_element_ios_ownership (size_type dim) const
const_reference | dis_get_geo_element (size_type map_dim, size_type dis_ige) const
size_type | ige2ios_dis_ige (size_type dim, size_type ige) const
size_type | dis_ige2ios_dis_ige (size_type dim, size_type dis_ige) const
size_type | ios_ige2dis_ige (size_type dim, size_type ios_ige) const
void | set_ios_permutation (disarray< size_type, distributed > &idof2ios_dis_idof) const
const std::array< disarray< size_type, distributed >, reference_element::max_variant > & | get_igev2ios_dis_igev () const
Public Member Functions inherited from geo_domain_indirect_base_rep< T, distributed >
| geo_domain_indirect_base_rep ()
| geo_domain_indirect_base_rep (const geo_domain_indirect_base_rep< T, distributed > &)
| geo_domain_indirect_base_rep (const domain_indirect_basic< distributed > &indirect, const geo_basic< T, distributed > &omega)
const domain_indirect_basic< distributed > & | get_indirect () const
const geo_basic< T, distributed > & | get_background_geo () const
size_type | variant () const
std::string | name () const
std::string | familyname () const
size_type | serial_number () const
size_type | dimension () const
size_type | map_dimension () const
bool | is_broken () const
coordinate_type | coordinate_system () const
const basis_basic< T > & | get_piola_basis () const
size_type | n_node () const
const node_type & | node (size_type inod) const
const disarray< node_type, distributed > & | get_nodes () const
const node_type & | xmin () const
const node_type & | xmax () const
const T & | hmin () const
const T & | hmax () const
const distributor & | geo_element_ownership (size_type dim) const
const_reference | get_geo_element (size_type dim, size_type ige) const
size_type | neighbour (size_type ie, size_type loc_iside) const
void | neighbour_guard () const
size_type | n_domain_indirect () const
bool | have_domain_indirect (const std::string &name) const
const domain_indirect_basic< distributed > & | get_domain_indirect (size_type i) const
const domain_indirect_basic< distributed > & | get_domain_indirect (const std::string &name) const
void | insert_domain_indirect (const domain_indirect_basic< distributed > &dom) const
const_iterator_by_variant | begin_by_variant (variant_type variant) const
const_iterator_by_variant | end_by_variant (variant_type variant) const
const geo_element_map_type & | get_external_geo_element_map (size_type variant) const
const node_type & | dis_node (size_type dis_inod) const
size_type | dis_inod2dis_iv (size_type dis_inod) const
void | dis_inod (const geo_element &K, std::vector< size_type > &dis_inod) const
const geo_size & | sizes () const
const geo_size & | ios_sizes () const
odiststream & | put (odiststream &ops) const
void | set_nodes (const disarray< node_type, distributed > &)
void | reset_order (size_type order)
bool | check (bool verbose) const
size_type | seq_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
size_type | dis_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const
void | locate (const disarray< point_basic< T >, distributed > &x, disarray< size_type, distributed > &dis_ie, bool do_check=false) const
size_type | seq_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
size_type | dis_trace_move (const point_basic< T > &x, const point_basic< T > &v, point_basic< T > &y) const
void | trace_move (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y) const
void | trace_ray_boundary (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y, bool do_check=false) const
size_type | seq_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const
size_type | dis_nearest (const point_basic< T > &x, point_basic< T > &x_nearest) const
void | nearest (const disarray< point_basic< T >, distributed > &x, disarray< point_basic< T >, distributed > &x_nearest, disarray< size_type, distributed > &dis_ie) const
Public Member Functions inherited from geo_abstract_rep< T, distributed >
| geo_abstract_rep ()
virtual | ~geo_abstract_rep ()
virtual const domain_indirect_basic< distributed > & | get_domain_indirect (size_type i) const =0
virtual void | insert_domain_indirect (const domain_indirect_basic< distributed > &dom) const =0
virtual void | set_nodes (const disarray< node_type, distributed > &)=0
virtual void | locate (const disarray< point_basic< T >, distributed > &x, disarray< size_type, distributed > &dis_ie, bool do_check=true) const =0
virtual void | trace_ray_boundary (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y, bool do_check=false) const =0
virtual void | trace_move (const disarray< point_basic< T >, distributed > &x, const disarray< point_basic< T >, distributed > &v, disarray< size_type, distributed > &dis_ie, disarray< point_basic< T >, distributed > &y) const =0
virtual void | nearest (const disarray< point_basic< T >, distributed > &x, disarray< point_basic< T >, distributed > &x_nearest, disarray< size_type, distributed > &dis_ie) const =0
Public Member Functions inherited from geo_abstract_base_rep< T >
| geo_abstract_base_rep ()
virtual | ~geo_abstract_base_rep ()
virtual const distributor & | geo_element_ownership (size_type dim) const =0
virtual const_reference | get_geo_element (size_type dim, size_type ige) const =0
virtual const geo_element & | bgd2dom_geo_element (const geo_element &bgd_K) const
virtual const geo_element & | dom2bgd_geo_element (const geo_element &dom_K) const
virtual size_type | neighbour (size_type ie, size_type loc_isid) const =0
virtual const_iterator_by_variant | begin_by_variant (variant_type variant) const =0
virtual const_iterator_by_variant | end_by_variant (variant_type variant) const =0
virtual const geo_element_map_type & | get_external_geo_element_map (size_type variant) const =0
const_iterator | begin (size_type dim) const
const_iterator | end (size_type dim) const
virtual const node_type & | dis_node (size_type dis_inod) const =0
virtual void | dis_inod (const geo_element &K, std::vector< size_type > &dis_inod) const =0
virtual size_type | dis_inod2dis_iv (size_type dis_inod) const =0
virtual void | reset_order (size_type order)=0
virtual size_type | seq_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const =0
virtual size_type | dis_locate (const point_basic< T > &x, size_type dis_ie_guest=std::numeric_limits< size_type >::max()) const =0
bool | operator== (const geo_abstract_base_rep< T > &omega2) const

## Additional Inherited Members

Protected Attributes inherited from geo_domain_indirect_base_rep< T, distributed >
domain_indirect_basic< distributed > | _indirect
geo_basic< T, distributed > | _omega

## Detailed Description

### template<class T>
class rheolef::geo_domain_indirect_rep< T, distributed >

Definition at line 227 of file geo_domain_indirect.h.

## Member Typedef Documentation

## base

typedef geo_domain_indirect_base_rep<T,distributed> base

Definition at line 229 of file geo_domain_indirect.h.

## size_type

typedef base::size_type size_type

Definition at line 230 of file geo_domain_indirect.h.

## node_type

typedef base::node_type node_type

Definition at line 231 of file geo_domain_indirect.h.

## const_reference

typedef base::const_reference const_reference

Definition at line 232 of file geo_domain_indirect.h.

## Constructor & Destructor Documentation

## geo_domain_indirect_rep() [1/3]

geo_domain_indirect_rep | ( |  | ) |

## geo_domain_indirect_rep() [2/3]

geo_domain_indirect_rep | ( | const geo_domain_indirect_rep< T, distributed > & | x | ) |

## geo_domain_indirect_rep() [3/3]

geo_domain_indirect_rep | ( | const domain_indirect_basic< distributed > & | indirect,
|  | const geo_basic< T, distributed > & | omega
| ) |  |

## Member Function Documentation

## clone()

geo_abstract_rep<T,distributed>* clone | ( |  | ) | const

virtual

Implements geo_abstract_rep< T, distributed >.

## geo_element_ios_ownership()

distributor geo_element_ios_ownership | ( | size_type | dim | ) | const

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 31 of file geo_domain_indirect_mpi.cc.

## dis_get_geo_element()

geo_domain_indirect_rep< T, distributed >::const_reference dis_get_geo_element | ( | size_type | map_dim,
|  | size_type | dis_ige
| ) |  | const

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 39 of file geo_domain_indirect_mpi.cc.

## ige2ios_dis_ige()

geo_domain_indirect_rep< T, distributed >::size_type ige2ios_dis_ige | ( | size_type | dim,
|  | size_type | ige
| ) |  | const

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 49 of file geo_domain_indirect_mpi.cc.

## dis_ige2ios_dis_ige()

geo_domain_indirect_rep< T, distributed >::size_type dis_ige2ios_dis_ige | ( | size_type | dim,
|  | size_type | dis_ige
| ) |  | const

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 57 of file geo_domain_indirect_mpi.cc.

## ios_ige2dis_ige()

geo_domain_indirect_rep< T, distributed >::size_type ios_ige2dis_ige | ( | size_type | dim,
|  | size_type | ios_ige
| ) |  | const

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 64 of file geo_domain_indirect_mpi.cc.

## set_ios_permutation()

void set_ios_permutation | ( | disarray< size_type, distributed > & | idof2ios_dis_idof | ) | const

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 72 of file geo_domain_indirect_mpi.cc.

## get_igev2ios_dis_igev()

const std::array< disarray< typename geo_domain_indirect_rep< T, distributed >::size_type, distributed >, reference_element::max_variant > & get_igev2ios_dis_igev

virtual

Implements geo_abstract_rep< T, distributed >.

Definition at line 80 of file geo_domain_indirect_mpi.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_domain_indirect.h
- /build/rheolef-FQTnje/rheolef-7.1/main/lib/geo_domain_indirect_mpi.cc